classification
Title: [Doc] Document configure options in the Python documentation
Type: Stage: resolved
Components: Documentation Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, orsenthil, pablogsal, rhettinger, vstinner
Priority: normal Keywords: patch

Created on 2021-04-08 16:18 by vstinner, last changed 2021-05-26 22:18 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 25283 merged vstinner, 2021-04-08 17:07
PR 25293 merged vstinner, 2021-04-08 23:24
PR 25296 merged vstinner, 2021-04-08 23:59
PR 25302 merged vstinner, 2021-04-09 11:54
PR 25363 merged vstinner, 2021-04-12 14:45
PR 25364 merged vstinner, 2021-04-12 14:54
PR 25711 merged vstinner, 2021-04-29 08:26
PR 25712 merged vstinner, 2021-04-29 08:47
PR 25716 closed orsenthil, 2021-04-29 11:26
Messages (16)
msg390536 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-08 16:18
Attached PR documents configure, compiler and linker options to build Python.
msg390553 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-08 20:32
New changeset a41782cc84bcd813209a03e6e11c60e77dbc7718 by Victor Stinner in branch 'master':
bpo-43774: Document configure options (GH-25283)
https://github.com/python/cpython/commit/a41782cc84bcd813209a03e6e11c60e77dbc7718
msg390557 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-08 22:06
With Sphinx 2, there is an error on the Docs PR job of Azure Pipelines:

Warning, treated as error:
/home/vsts/work/1/s/Doc/using/configure.rst:416:unknown option: --enable-universalsdk
msg390573 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-08 23:53
The following syntax fails on the Docs PR job of the Azure Pipelines:
------------------
.. cmdoption:: --with-cxx-main
.. cmdoption:: --with-cxx-main=COMPILER

   Compile the Python ``main()`` function and link Python executable with C++
   compiler: ``$CXX``, or *COMPILER* if specified.
------------------

Error:
------------------
Warning, treated as error:
/home/vsts/work/1/s/Doc/using/configure.rst:47:Duplicate explicit target name: "cmdoption--with-cxx-main".
Makefile:49: recipe for target 'build' failed
------------------
msg390574 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-08 23:58
> The following syntax fails on the Docs PR job of the Azure Pipelines:

It uses Sphinx 2.2.0. Do we still support Spinx 2.2.0?

Collecting sphinx==2.2.0
...
Successfully installed Jinja2-2.11.3 MarkupSafe-1.1.1 Pygments-2.8.1 alabaster-0.7.12 babel-2.9.0 blurb-1.0.8 certifi-2020.12.5 chardet-4.0.0 docutils-0.17 idna-2.10 imagesize-1.2.0 packaging-20.9 pyparsing-2.4.7 python-docs-theme-2020.12 pytz-2021.1 requests-2.25.1 snowballstemmer-2.1.0 sphinx-2.2.0 sphinxcontrib-applehelp-1.0.2 sphinxcontrib-devhelp-1.0.2 sphinxcontrib-htmlhelp-1.0.3 sphinxcontrib-jsmath-1.0.1 sphinxcontrib-qthelp-1.0.3 sphinxcontrib-serializinghtml-1.1.4 urllib3-1.26.4
msg390575 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-08 23:58
New changeset 54366953633dbe5d9585dbae0c633d4e92df2d04 by Victor Stinner in branch 'master':
bpo-43774: Enhance configure documentation (GH-25293)
https://github.com/python/cpython/commit/54366953633dbe5d9585dbae0c633d4e92df2d04
msg390576 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-09 00:18
I wrote PR 25296 to reuse Doc/requirements.txt in the Docs PR job of Azure Pipelines. It installs Sphinx 3.2.1 as expected, and with this version, no warning is emitted.
msg390582 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2021-04-09 02:03
Thanks for adding this.
msg390605 - (view) Author: miss-islington (miss-islington) Date: 2021-04-09 10:37
New changeset f7be26a8f2ed588df90959ae7c0fdcafe2091f76 by Victor Stinner in branch 'master':
bpo-43774: Doc job of Azure Pipelines uses Doc/requirements.txt (GH-25296)
https://github.com/python/cpython/commit/f7be26a8f2ed588df90959ae7c0fdcafe2091f76
msg390606 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-09 10:46
Raymond:
> Thanks for adding this.

You're welcome :-) I plan to send an email to python-dev to ask for reviews. I hesitated to ask for a review on the PR, but honestly, it's painful to read plain text Sphinx. I prefer to read HTML ;-)
msg390611 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-09 12:35
New changeset bd88ccb943c0ea672c14a87e76157fade4feae11 by Victor Stinner in branch 'master':
bpo-43774: Document the Python Build System (GH-25302)
https://github.com/python/cpython/commit/bd88ccb943c0ea672c14a87e76157fade4feae11
msg390861 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-04-12 15:58
New changeset 2459b92a4db69d9b14d0a86a9b81cc075894e910 by Victor Stinner in branch 'master':
bpo-43774: Remove --without-cycle-gc doc (GH-25364)
https://github.com/python/cpython/commit/2459b92a4db69d9b14d0a86a9b81cc075894e910
msg390909 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-12 21:27
New changeset 85918e4ab6e9410008aef6dedf000d24b3e120ea by Victor Stinner in branch 'master':
bpo-43774: Add more links to configure options (GH-25363)
https://github.com/python/cpython/commit/85918e4ab6e9410008aef6dedf000d24b3e120ea
msg392292 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-29 08:47
New changeset 645ed62fb4c09b7e23887fcca0767b0f2d7d3fd6 by Victor Stinner in branch 'master':
bpo-43774: Remove unused PYMALLOC_DEBUG macro (GH-25711)
https://github.com/python/cpython/commit/645ed62fb4c09b7e23887fcca0767b0f2d7d3fd6
msg392299 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-04-29 11:07
New changeset abfd6388cdba376a72686df52a9a98b2d558271b by Victor Stinner in branch 'master':
bpo-43774: Enhance debug build documentation (GH-25712)
https://github.com/python/cpython/commit/abfd6388cdba376a72686df52a9a98b2d558271b
msg394476 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-05-26 22:18
The documentation is now online: https://docs.python.org/dev/using/configure.html
History
Date User Action Args
2021-05-26 22:18:39vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg394476

stage: patch review -> resolved
2021-04-29 11:26:34orsenthilsetnosy: + orsenthil
pull_requests: + pull_request24406
2021-04-29 11:07:12vstinnersetmessages: + msg392299
2021-04-29 08:47:52vstinnersetmessages: + msg392292
2021-04-29 08:47:35vstinnersetpull_requests: + pull_request24401
2021-04-29 08:26:19vstinnersetpull_requests: + pull_request24400
2021-04-12 21:27:43vstinnersetmessages: + msg390909
2021-04-12 15:58:58pablogsalsetnosy: + pablogsal
messages: + msg390861
2021-04-12 14:54:10vstinnersetpull_requests: + pull_request24098
2021-04-12 14:45:51vstinnersetpull_requests: + pull_request24097
2021-04-09 12:35:19vstinnersetmessages: + msg390611
2021-04-09 11:54:29vstinnersetpull_requests: + pull_request24033
2021-04-09 10:46:07vstinnersetmessages: + msg390606
2021-04-09 10:37:00miss-islingtonsetnosy: + miss-islington
messages: + msg390605
2021-04-09 02:03:46rhettingersetnosy: + rhettinger
messages: + msg390582
2021-04-09 00:18:11vstinnersetmessages: + msg390576
2021-04-08 23:59:05vstinnersetpull_requests: + pull_request24027
2021-04-08 23:58:27vstinnersetmessages: + msg390575
2021-04-08 23:58:14vstinnersetmessages: + msg390574
2021-04-08 23:53:58vstinnersetmessages: + msg390573
2021-04-08 23:24:06vstinnersetpull_requests: + pull_request24026
2021-04-08 22:06:23vstinnersetmessages: + msg390557
2021-04-08 20:32:38vstinnersetmessages: + msg390553
2021-04-08 17:07:37vstinnersetkeywords: + patch
stage: patch review
pull_requests: + pull_request24019
2021-04-08 16:18:07vstinnercreate